apiVersion: apps/v1
kind: Deployment
metadata:
  # annotations:
  #   cert-manager.io/issuer: letsencrypt
  name: cart-api
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cart-api
  template:
    metadata:
      labels:
        app: cart-api
    spec:
      containers:
      - name: cart-api
        image: sondawitmekonnen/cart-api
        imagePullPolicy: Always
        ports:
        - containerPort: 1004


